Bug 250166 - glib2-devel missing dependencies
glib2-devel missing dependencies
Status: CLOSED DEFERRED
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
unspecified
All Linux
urgent Severity high
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 249190
  Show dependency treegraph
 
Reported: 2007-07-30 16:13 EDT by Christopher Stone
Modified: 2013-01-09 23:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:56:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-07-30 16:13:01 EDT
Any application that uses glib2-devel is unable to build in mock due to the
following errors:
Error: Missing Dependency: libgobject-2.0.so.0 is needed by package glib2-devel
Error: Missing Dependency: libgthread-2.0.so.0 is needed by package glib2-devel
Error: Missing Dependency: libglib-2.0.so.0 is needed by package glib2-devel
Error: Missing Dependency: libgmodule-2.0.so.0 is needed by package glib2-devel


It's been like this for several days now.
Comment 1 Jesse Keating 2007-07-30 20:47:10 EDT
What repos are enabled in your mock config file?
Comment 2 Jesse Keating 2007-07-30 20:58:58 EDT
Ah, looks like a bug in mock config files.  The config file for the x86_64 repo
needs to exclude 'glib2*.i?86' rather than just 'glib2.i?86'.
Comment 3 Jos Vos 2007-08-20 13:32:54 EDT
I can confirm that this indeed solves the problem.
Comment 4 Jesse Keating 2007-11-15 11:56:41 EST
Really we need a better way to exclude all but a couple packages, and that may
require some yum work.  I'm closing this bug for now as there is a workaround.

Note You need to log in before you can comment on or make changes to this bug.